% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/similarity_prediction.R, R/similarity_scoring.R
\name{ambiguous_functions}
\alias{ambiguous_functions}
\alias{.ambiguous_score_rev_sort}
\alias{.ambiguous_score_sort}
\alias{.ambiguous_enrichment}
\alias{.ambiguous_method_origin}
\alias{.predict_pearson}
\alias{.predict_spearman}
\alias{.predict_kendall}
\alias{.predict_fisher}
\alias{.predict_sobolev}
\alias{.predict_combined}
\alias{.ambiguous_scorecalc}
\alias{.score_pearson}
\alias{.score_spearman}
\alias{.score_kendall}
\alias{.score_fisher}
\alias{.score_sobolev}
\alias{.score_combined}
\title{GAPGOM internal - Ambiguous/prediction functions}
\usage{
.ambiguous_score_rev_sort(score_df)

.ambiguous_score_sort(score_df)

.ambiguous_enrichment(args, ordered_score_df)

.ambiguous_method_origin(df, methodname)

.predict_pearson(args)

.predict_spearman(args)

.predict_kendall(args)

.predict_fisher(args)

.predict_sobolev(args)

.predict_combined(args)

.ambiguous_scorecalc(args, expression_data, applyfunc)

.score_pearson(args)

.score_spearman(args)

.score_kendall(args)

.score_fisher(args)

.score_sobolev(args)

.score_combined(args)
}
\value{
output is different on a case-to-case basis
}
\description{
These functions are ambiguous/standardized functions that help make the
enrichment analysis steps more streamlined. Most measures have their own
specific way of their scores being calculated. For this, they have their own
function clauses.
}
\section{Notes}{

These functions are internal functions and should not be called by the user.
}

\keyword{internal}
